Bug 1875946 - Using shareProcessNamespace with default pod image leaves unreaped processes
Summary: Using shareProcessNamespace with default pod image leaves unreaped processes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.6.0
Assignee: Peter Hunt
QA Contact: Weinan Liu
URL:
Whiteboard:
Depends On:
Blocks: 1900725
TreeView+ depends on / blocked
 
Reported: 2020-09-04 16:59 UTC by Clayton Coleman
Modified: 2021-01-21 06:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1900725 1900727 (view as bug list)
Environment:
Last Closed: 2020-10-27 16:37:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift images pull 27 0 None closed Bug 1875946: Pod process container does not correctly reap zombie process with shareProcessNamespace: true 2021-01-19 04:32:28 UTC
Red Hat Knowledge Base (Solution) 5598621 0 None None None 2020-11-24 18:55:05 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:38:11 UTC

Description Clayton Coleman 2020-09-04 16:59:28 UTC
A community member reported that the pod image does not correctly reap readiness checks when pods are used with shareProcessNamespace.  In the future we may use a systemd image, but for now our pod image should work correctly.

We need to review the change and verify it is equivalent to pause.c in upstream Kubernetes.

Comment 1 Mrunal Patel 2020-09-11 18:49:24 UTC
I have tested the PR and left review comments which are being addressed. It is close to getting merged. Hopefully, it will land today or early next week and be available for testing.

Comment 6 errata-xmlrpc 2020-10-27 16:37:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.